Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Class SubTasksStrategy

    java.lang.Object
      org.jbpm.task.SubTasksStrategy

All Implemented Interfaces:
  Externalizable, Serializable

Direct Known Subclasses:
  OnAllSubTasksEndParentEndStrategy, OnParentAbortAllSubTasksEndStrategy

    @Entity
    public abstract class SubTasksStrategy

extends Object
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`SubTasksStrategy()`

Method Summary
`abstract void` | `execute(TaskServiceSession taskServiceSession, TaskService service, Task task)`
`long` | `getId()`
`String` | `getName()`
`void` | `readExternal(ObjectInput in)`
`void` | `setId(long id)`
`void` | `setName(String name)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubTasksStrategy

    public SubTasksStrategy()

Method Detail

### execute

    public abstract void execute(TaskServiceSession taskServiceSession,
                                 TaskService service,
                                 Task task)

### getId

    public long getId()

  Returns:
    the id

### setId

    public void setId(long id)

  Parameters:
    `id` - the id to set

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getName

    public String getName()

  Returns:
    the name

### setName

    public void setName(String name)

  Parameters:
    `name` - the name to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.